org.keycloak.services.resources.admin

## Class ClientAttributeCertificateResource

- java.lang.Object
- - org.keycloak.services.resources.admin.ClientAttributeCertificateResource

-     public class ClientAttributeCertificateResource
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClientAttributeCertificateResource.ClientKeyPairInfo`
    `static class` | `ClientAttributeCertificateResource.KeyStoreConfig`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `attributePrefix`
    `protected String` | `certificateAttribute`
    `protected ClientModel` | `client`
    `static String` | `PRIVATE_KEY`
    `protected String` | `privateAttribute`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`
    `static String` | `X509CERTIFICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAttributeCertificateResource(RealmModel realm, RealmAuth auth, ClientModel client, KeycloakSession session, String attributePrefix)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientAttributeCertificateResource.ClientKeyPairInfo` | `generate()`
    `ClientAttributeCertificateResource.ClientKeyPairInfo` | `getKeyInfo()`
    `byte[]` | `getKeystore(ClientAttributeCertificateResource.KeyStoreConfig config)`
    `ClientAttributeCertificateResource.ClientKeyPairInfo` | `uploadJks(javax.ws.rs.core.UriInfo uriInfo, org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIVATE_KEY

          public static final String PRIVATE_KEY

      See Also:
        Constant Field Values

    - #### X509CERTIFICATE

          public static final String X509CERTIFICATE

      See Also:
        Constant Field Values

    - #### realm

          protected RealmModel realm

    - #### client

          protected ClientModel client

    - #### session

          protected KeycloakSession session

    - #### attributePrefix

          protected String attributePrefix

    - #### privateAttribute

          protected String privateAttribute

    - #### certificateAttribute

          protected String certificateAttribute

  - ### Constructor Detail

    - #### ClientAttributeCertificateResource

          public ClientAttributeCertificateResource(RealmModel realm,
                                            RealmAuth auth,
                                            ClientModel client,
                                            KeycloakSession session,
                                            String attributePrefix)

  - ### Method Detail

    - #### getKeyInfo

          @GET
          @Produces(value="application/json")
          public ClientAttributeCertificateResource.ClientKeyPairInfo getKeyInfo()

      Returns:

    - #### generate

          @POST
          @Path(value="generate")
          @Produces(value="application/json")
          public ClientAttributeCertificateResource.ClientKeyPairInfo generate()

      Returns:

    - #### uploadJks

          @POST
          @Path(value="upload")
          @Consumes(value="multipart/form-data")
          @Produces(value="application/json")
          public ClientAttributeCertificateResource.ClientKeyPairInfo uploadJks(@Context
                                                                                                   javax.ws.rs.core.UriInfo uriInfo,
                                                                                                   org.jboss.resteasy.plugins.providers.multipart.MultipartFormDataInput input)
                                                                         throws IOException

      Parameters:
        `uriInfo` -
        `input` -
      Returns:
      Throws:
        `IOException`

    - #### getKeystore

          @POST
          @Path(value="/download")
          @Produces(value="application/octet-stream")
          @Consumes(value="application/json")
          public byte[] getKeystore(ClientAttributeCertificateResource.KeyStoreConfig config)

      Parameters:
        `config` -
      Returns:

Copyright © 2015. All Rights Reserved.